Author Topic: [SOLVED] BackBox 4.6 Procedure i386?  (Read 3137 times)

Landrew

  • Newbie
  • *
  • Posts: 25
    • View Profile
on: May 27, 2016, 11:10:46 AM
Hello - I think the Blog process to upgrade to 4.6 for i386 has additional commands which are only needed for amd64 [linux-signed]. My upgrade failed but if I leave them out it works fine.

# For i386
sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wily linux-signed-generic-lts-wily linux-signed-image-generic-lts-wily

thanks
« Last Edit: August 01, 2016, 07:38:24 PM by ZEROF »



raffaele

  • Administrator
  • Hero Member
  • *****
  • Posts: 507
    • View Profile
    • My Blog
Reply #1 on: May 27, 2016, 02:43:44 PM
Fix:

# For i386
sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wily
sudo apt-get install xserver-xorg-lts-wily --install-recommends


*** Updated ***
« Last Edit: June 11, 2016, 07:30:05 PM by raffaele »

raffaele@backbox:~$ Get root or die tryin'


Landrew

  • Newbie
  • *
  • Posts: 25
    • View Profile
Reply #2 on: May 27, 2016, 10:33:14 PM
When I use the suggested commands for i386 i get

rww@backbox:~$ sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wilylinux-signed-generic-lts-wily linux-signed-image-generic-lts-wily
[sudo] password for rww:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-image-generic-lts-wilylinux-signed-generic-lts-wily
E: Unable to locate package linux-signed-image-generic-lts-wily


thanks



groc

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #3 on: May 30, 2016, 05:51:04 PM
Same as Landrew...
i.e.
E: Unable to locate package linux-image-generic-lts-wilylinux-signed-generic-lts-wily
E: Unable to locate package linux-signed-image-generic-lts-wily
Update script picks up trusty. installed ppa points to trusty.
Used sudo to try to add ppa for wily.. not permitted.
Scripts needed to add Wiley ppa's

Yes?
« Last Edit: May 31, 2016, 12:27:32 AM by groc »



ostendali

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 587
    • View Profile
Reply #4 on: May 31, 2016, 05:50:34 PM
You 2 are obviously both either blind or you never used linux in your life before.

Can't you notice that you both are missing the space between 2 packages?

try to type the command instead of copy/pasting.

unbelievable >:(
« Last Edit: May 31, 2016, 05:52:05 PM by ostendali »



Landrew

  • Newbie
  • *
  • Posts: 25
    • View Profile
Reply #5 on: June 02, 2016, 10:27:12 AM
As expected your reply was of no value



ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #6 on: June 03, 2016, 07:54:30 PM
Hi Landrew,

Quote
sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wilylinux-signed-generic-lts-wily linux-signed-image-generic-lts-wily
Ostendali is right.

This is good one. Check next time.

sudo apt-get install linux-headers-generic-lts-wily linux-image-generic-lts-wily linux-signed-generic-lts-wily linux-signed-image-generic-lts-wily

 


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


Landrew

  • Newbie
  • *
  • Posts: 25
    • View Profile
Reply #7 on: June 04, 2016, 11:53:22 AM
Thanks but even if I put the last two in separately I get the error. Everything else worked fine

rww@backbox:~$ sudo apt-get install linux-signed-image-generic-lts-wily
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-signed-image-generic-lts-wily

rww@backbox:~$ sudo apt-get install linux-signed-generic-lts-wily
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-signed-generic-lts-wily



ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #8 on: June 05, 2016, 02:21:36 AM
Hi,

Do you know about apt-cache search package-name command?

Search and see if you can get linux-signed-image if not, you don't need it.
« Last Edit: June 05, 2016, 02:24:53 AM by ZEROF »


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


groc

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #9 on: June 06, 2016, 06:07:50 PM
Ostendali.
1) You did not respond to the posted problem
2) Posted scripts should be tested before posting.
3) Linux since 0.99r3 !!
(I.T. since 1961 - when we used vacuum tubes and punched cards!)

ZEROF,
You're answer was pointed to the correct solution. Thank you.